STU3 ClinicalImpression
The ClinicalImpression resource describes a "record of a clinical assessment performed to determine what problem(s) may affect the patient and before planning the treatments or management strategies that are best to manage a patient's condition" HL7 FHIR STU3 ClinicalImpression
Supported Profiles
This API supports the following FHIR profiles:
Operations
The General Purpose STU3 API ClinicalImpression resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.
| CareRecord / Solution | Create | Read | Update | Search |
|---|---|---|---|---|
| GEHRIMED | - | Yes | - | Yes |
| myAvatar | - | Yes | - | Yes |
| myEvolv | - | Yes | - | Yes |
| myUnity | - | Yes | - | Yes |
Search
Not all Netsmart solutions support ClinicalImpression search. See supported operations table above and consult your target solution's documentation for more information.
This operation retrieves a list of resources by these query parameters.
Standard Parameters
| Name | Type | Description |
|---|---|---|
| patient | reference | REQUIRED Patient or group assessed |
Custom Parameters
| Name | Type | Description |
|---|---|---|
| end | date | Impression start date/time |
| start | date | Impression end date/time |
Search Examples
Via POST
The POST method is recommended as it keeps health information out of the URL.
- Production
- Preview
curl -X POST https://fhir.netsmartcloud.com/fhir/ClinicalImpression/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/567"
curl -X POST https://fhirtest.netsmartcloud.com/fhir/ClinicalImpression/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/567"
Via GET
- Production
- Preview
curl -X GET "https://fhir.netsmartcloud.com/fhir/ClinicalImpression?patient=Patient/567" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"
curl -X GET "https://fhirtest.netsmartcloud.com/fhir/ClinicalImpression?patient=Patient/567" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"